Skip to content
Get started
V2 Reference
Webhook Subscriptions

Update Webhook Subscription

PUT
/api/partner/v2/webhook_subscriptions/{webhook_subscription_id}
curl --request PUT \
--url https://api.linqapp.com/api/partner/v2/webhook_subscriptions/1 \
--header 'Content-Type: application/json' \
--header 'X-LINQ-INTEGRATION-TOKEN: <X-LINQ-INTEGRATION-TOKEN>' \
--data '{ "webhook_subscription": { "webhook_url": "https://example.com/webhooks/linq", "version": 2, "secret": "your-webhook-secret-key", "active": true, "events": [ "message.sent", "message.received" ] } }'

Updates an existing webhook subscription

webhook_subscription_id
required
integer

The webhook subscription ID

Media type application/json
object
webhook_subscription
required
object
webhook_url
required
string
Example
https://example.com/webhooks/linq
version
required

API version (should be 2 for v2)

integer
Example
2
secret

Secret key for webhook signature verification

string
Example
your-webhook-secret-key
active

Whether the webhook subscription is active

boolean
Example
true
events
required
Array<string>
Allowed values: message.sent message.received message.read call.completed reaction.sent reaction.received typing_indicator.received typing_indicator.removed chat.created contact.created contact.updated contact.deleted participant.added participant.removed
Example
[
"message.sent",
"message.received"
]

Webhook subscription updated successfully

Media type application/json
object
webhook_subscription
object
id
integer
webhook_url
string
version

API version of the webhook subscription

integer
events
Array<string>
active
boolean
secret_configured

Whether a secret has been configured for this webhook (the actual secret is never returned)

boolean
last_delivered_at

Timestamp of the last successful webhook delivery

string format: date-time
nullable
delivery_attempts

Total number of delivery attempts for this webhook

integer
created_at
string format: date-time
updated_at
string format: date-time
Example
{
"webhook_subscription": {
"id": 123,
"webhook_url": "https://webhook.example.com/linq",
"version": 2,
"events": [
"message.sent",
"message.received",
"call.completed"
],
"active": true,
"secret_configured": true,
"last_delivered_at": "2024-01-15T10:30:00Z",
"delivery_attempts": 42
}
}